> For the complete documentation index, see [llms.txt](https://docs.architect.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.architect.co/sdk-reference/symbology.md).

# Symbology and instrument info

* [Symbology](#symbology)
  * [List symbols](#list-symbols)
  * [Search symbols](#search-symbols)
  * [Get product info](#get-product-info)
  * [Get execution info](#get-execution-info)
  * [Get futures series](#get-futures-series)

## List symbols

List all symbols available on Architect, including both products and tradable product pairs (e.g. "AAPL US Equity" and "AAPL US Equity/USD" may both appear).

{% tabs %}
{% tab title="Python" %}

```python
symbols = await client.list_symbols()

for symbol in symbols:
    assert_type(symbol, str)
    print(symbol)
```

{% endtab %}
{% endtabs %}

## Search symbols

Search for tradable products on Architect using full text symbol search.

```python
from architect_py import TradableProduct

symbols = await client.search_symbols(
    search_string="BTC",
    execution_venue="BINANCE",
    offset=0,
    limit=20,
)

for symbol in symbols:
    assert_type(symbol, TradableProduct)
    print(symbol)  # e.g. "BTC Crypto/USDT Crypto"
```

## Get product info

Get information about a product, such as its type, underlying, multiplier, expiration, and other relevant fields.

{% tabs %}
{% tab title="Python" %}

```python
info = await client.get_product_info("ES 20250620 CME Future")

# get many product infos at once
infos = await client.get_product_infos([
    "ES 20250620 CME Future",
    "BTC Crypto",
])
```

{% endtab %}

{% tab title="Example JSON response" %}

```json
{
  "symbol": "ES 20250620 CME Future",
  "product_type": "Future",
  "multiplier": "50",
  "derivative_kind": "Linear",
  "primary_venue": "CME",
}
```

{% endtab %}
{% endtabs %}

## Get execution info

Get execution information for a tradable product, such as tick size, step size, margin requirements, and other relevant fields.

{% tabs %}
{% tab title="Python" %}

```python
info = await client.get_execution_info(
    "ES 20250620 CME Future/USD",  # tradable product
    "CME"                          # execution venue
)

# get many execution infos at once
infos = await client.get_execution_infos(
    [
        "ES 20250620 CME Future/USD",
        "BTC Crypto/USDT Crypto",
    ],
    "CME" 
)
```

{% endtab %}

{% tab title="Example JSON response" %}

```json
{
  "symbol": "ES 20250620 CME Future/USD",
  "execution_venue": "CME",
  "tick_size": "0.25",
  "step_size": "1",
  "min_order_quantity": "1",
  "is_delisted": false,
  "initial_margin": "24550",
  "maintenance_margin": "22318",
}
```

{% endtab %}
{% endtabs %}

## Get futures series

Get all futures in a given series.

{% tabs %}
{% tab title="Python" %}

```python
futures = await client.get_futures_series("ES CME Futures")
assert_type(futures, list[str])

assert futures == [
    'ES 20250321 CME Future',
    'ES 20250620 CME Future',
    'ES 20250919 CME Future',
    # ...
]
```

{% endtab %}

{% tab title="Rust" %}

```rust
use architect_api::symbology::Product;

let futures: Vec<Product> = client.get_futures_series(
    "ES CME Futures",
    false,  // include_expired
).await?;
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.architect.co/sdk-reference/symbology.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
